using System;
using System.Windows.Forms;
using Skyiv.Ben.PushBox.Common;

namespace Skyiv.Ben.PushBox.Window
{
  /// <summary>
  /// ڡԻ
  /// </summary>
  public partial class AboutDlg : Form
  {
    public AboutDlg(bool isTopMost)
    {
      InitializeComponent();
      TopMost = isTopMost;
    }

    protected override void OnLoad(EventArgs e)
    {
      base.OnLoad(e);
      LoadVersionInfo();
      LoadSystemInfo();
    }

    protected override void OnResize(EventArgs e)
    {
      base.OnResize(e);
      LoadSystemInfo();
    }

    void LoadVersionInfo()
    {
      tbxVersion.Text = "skyiv (R) " + Fcl.NewLine +
        "汾 " + Pub.GetVersionBuildString(Pub.Version) + Fcl.NewLine + Fcl.NewLine +
        "(C) Skyiv Studio (ben)" + Fcl.NewLine +
        "http://ben.skyiv.com" + Fcl.NewLine +
        "skyivben@gmail.com" + Fcl.NewLine + Fcl.NewLine +
        "һɫʹ C#  Microsoft .NET Compact Framework 2.0" +
        "лΪʹ Microsoft Windows Mobile 6.0 ֻҲڰװ " +
        "Microsoft .NET Framework 2.0 пļС";
    }

    void LoadSystemInfo()
    {
      tbxSystem.Text = "ϵͳʶ: " + Environment.OSVersion.Platform + Fcl.NewLine +
        "ϵͳ汾: " + Environment.OSVersion + Fcl.NewLine +
        "п汾: " + Environment.Version + Fcl.NewLine +
        "Ļֱ: " + Pub.ToString(Screen.PrimaryScreen.Bounds.Size) + Fcl.NewLine +
        "λ: " + Pub.CodeBases;
    }
  }
}