using System;
using System.IO;
using System.Drawing;

namespace Skyiv.Ben.PushBox.Common
{
  /// <summary>
  ///  .NET Framework ֧֣ .NET Compact Framework ֵ֧Ķ
  /// </summary>
  static class Fcl
  {
    /// <summary>
    /// ȡΪ˻Ļַ-- Environment
    /// </summary>
    public static string NewLine { get { return "\r\n";  } }

    /// <summary>
    /// һıļļжһַȻرոļ-- File
    /// </summary>
    /// <param name="path">ҪԽжȡļ</param>
    /// <returns>ļеַ</returns>
    public static string ReadAllText(string path)
    {
      string text = "";
      if (File.Exists(path))
      {
        using (StreamReader sr = new StreamReader(path, Pub.Encode))
        {
          text = sr.ReadToEnd();
        }
      }
      return text;
    }

    /// <summary>
    /// һļдַָȻرոļ-- File
    /// </summary>
    /// <param name="path">Ҫдļ</param>
    /// <param name="contents">Ҫдļַ</param>
    public static void WriteAllText(string path, string contents)
    {
      using (StreamWriter sw = new StreamWriter(path, false, Pub.Encode))
      {
        sw.Write(contents);
      }
    }

    /// <summary>
    /// ָ Size ӵָ Point-- Point
    /// </summary>
    /// <param name="point">Ҫӵ Point</param>
    /// <param name="size">Ҫӵ Size</param>
    /// <returns>ӷĽ</returns>
    public static Point Add(Point point, Size size)
    {
      return new Point(point.X + size.Width, point.Y + size.Height);
    }

    /// <summary>
    /// һάĴСΪָ´С-- Array
    /// </summary>
    /// <typeparam name="T">Ԫص</typeparam>
    /// <param name="array">ҪСһά</param>
    /// <param name="newSize">ĴС</param>
    public static void Resize<T>(ref T[] array, int newSize)
    {
      if (array != null && array.Length == newSize) return;
      if (array == null) array = new T[0];
      T[] newArray = new T[newSize];
      Array.Copy(array, newArray, Math.Min(array.Length, newArray.Length));
      array = newArray;
    }
  }
}
