namespace Skyiv.Ben.PushBox.Common
{
  enum Direction { None, East, South, West, North } // :     
  public enum Action { None, Create, Edit, Delete } // :   ༭ ɾ

  /// <summary>
  /// ߷
  /// </summary>
  struct Step
  {
    Direction direct; // ǰ
    bool isBox; // Ƿһǰ
    bool isStop; // ʱǷͣ

    public Direction Direct { get { return direct; } }
    public bool IsBox { get { return isBox; } }
    public bool IsStop { get { return isStop; } }

    public Step(Direction direct, bool isBox, bool isStop)
    {
      this.direct = direct;
      this.isBox = isBox;
      this.isStop = isStop;
    }

    // isBox isStop None East South West North
    //               A    B     C    D    E
    //  x            F    G     H    I    J
    //        x      K    L     M    N    O
    //  x     x      P    Q     R    S    T

    public static implicit operator char(Step step)
    {
      char c = "ABCDE"[step.direct - Direction.None];
      if (step.isBox) c = (char)(c + 5);
      if (step.isStop) c = (char)(c + 10);
      return c;
    }

    public static implicit operator Step(char c)
    {
      int n = c - 'A';
      return new Step((Direction)(n % 5), (n % 10 >= 5), (n >= 10));
    }
  }
}
