using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace Skyiv.Ben.PushBoxStd.Window
{
  public partial class SelectGroupDlg : Form
  {
    bool isOk;

    public bool IsOk { get { return isOk; } }

    public string[] Groups
    {
      set
      {
        lsvGroup.BeginUpdate();
        foreach (string s in value) lsvGroup.Items.Add(new ListViewItem(s));
        lsvGroup.EndUpdate();
      }
    }

    public int Group
    {
      get { return (lsvGroup.SelectedIndices.Count < 1) ? 0 : lsvGroup.SelectedIndices[0]; }
      set { }
    }


    public SelectGroupDlg(bool isTopMost)
    {
      InitializeComponent();
      TopMost = isTopMost;
    }

    private void miOk_Click(object sender, EventArgs e)
    {
      isOk = true;
      Close();
    }

    private void miCancel_Click(object sender, EventArgs e)
    {
      isOk = false;
      Close();
    }
  }
}